<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-dados-pessoais-heading" jhiTranslate="locadoraApp.dadosPessoais.home.createOrEditLabel">Create or edit a Dados Pessoais</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!dadosPessoais.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="dadosPessoais.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.dadosPessoais.tipoPessoa" for="field_tipoPessoa">Tipo Pessoa</label>
                    <select class="form-control" name="tipoPessoa" [(ngModel)]="dadosPessoais.tipoPessoa" id="field_tipoPessoa"  required>
                        <option value="FISICA">{{'locadoraApp.TipoPessoa.FISICA' | translate}}</option>
                        <option value="JURIDICA">{{'locadoraApp.TipoPessoa.JURIDICA' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.tipoPessoa?.dirty && editForm.controls.tipoPessoa?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.tipoPessoa?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.dadosPessoais.nome" for="field_nome">Nome</label>
                    <input type="text" class="form-control" name="nome" id="field_nome"
                        [(ngModel)]="dadosPessoais.nome" required minlength="5" maxlength="120"/>
                    <div [hidden]="!(editForm.controls.nome?.dirty && editForm.controls.nome?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.nome?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.nome?.errors?.minlength" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: 5 }">
                        This field is required to be at least 5 characters.
                        </small>
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.nome?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 120 }">
                        This field cannot be longer than 120 characters.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.dadosPessoais.documentoReceitaFederal" for="field_documentoReceitaFederal">Documento Receita Federal</label>
                    <input type="text" class="form-control" name="documentoReceitaFederal" id="field_documentoReceitaFederal"
                        [(ngModel)]="dadosPessoais.documentoReceitaFederal" required minlength="11" maxlength="14"/>
                    <div [hidden]="!(editForm.controls.documentoReceitaFederal?.dirty && editForm.controls.documentoReceitaFederal?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.documentoReceitaFederal?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.documentoReceitaFederal?.errors?.minlength" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: 11 }">
                        This field is required to be at least 11 characters.
                        </small>
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.documentoReceitaFederal?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 14 }">
                        This field cannot be longer than 14 characters.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.dadosPessoais.situacao" for="field_situacao">Situacao</label>
                    <select class="form-control" name="situacao" [(ngModel)]="dadosPessoais.situacao" id="field_situacao" >
                        <option value="ATIVO">{{'locadoraApp.ClienteSituacao.ATIVO' | translate}}</option>
                        <option value="INATIVO">{{'locadoraApp.ClienteSituacao.INATIVO' | translate}}</option>
                        <option value="BLOQUEADO">{{'locadoraApp.ClienteSituacao.BLOQUEADO' | translate}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.dadosPessoais.observacao" for="field_observacao">Observacao</label>
                    <input type="text" class="form-control" name="observacao" id="field_observacao"
                        [(ngModel)]="dadosPessoais.observacao" maxlength="4000"/>
                    <div [hidden]="!(editForm.controls.observacao?.dirty && editForm.controls.observacao?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.observacao?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 4000 }">
                        This field cannot be longer than 4000 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.dadosPessoais.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" [(ngModel)]="dadosPessoais.userId"  required>
                        <option *ngIf="!editForm.value.user" [ngValue]="null" selected></option>
                        <option [ngValue]="userOption.id" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.email}}</option>
                    </select>
                </div>
                <div [hidden]="!(editForm.controls.user?.dirty && editForm.controls.user?.invalid)">
                    <small class="form-text text-danger"
                        [hidden]="!editForm.controls.user?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
